Name:           garmindev
Version:        0.3.4
Release:        %mkrel 1
Summary:        Drivers for communication with Garmin GPS devices
Group:          System/Libraries
License:        GPLv2+
URL:            http://www.qlandkarte.org
Source0:        http://downloads.sourceforge.net/qlandkartegt/%{name}-%{version}.tar.gz
Provides:       %{name}(interface) = 1.18

BuildRequires:  cmake libusb-devel


%description
Drivers for communication with Garmin GPS devices used by QLandkarteGT.


%prep
%setup -q


%build
%cmake
%make


%install
cd build
%make_install

# fix perms on plugins
find %{buildroot}%{_libdir}/qlandkartegt -type f -exec chmod 0755 {} \;

# drop the development files
rm -rf %{buildroot}%{_includedir}/garmin
rm -rf %{buildroot}%{_libdir}/qlandkartegt/libgarmin*


%files
%defattr(-,root,root,-)
%doc
%{_libdir}/qlandkartegt

%changelog
* Wed Oct 16 2013 pinoc <vogtpet at gmail.com> 0.3.4-1pclos2013
- imported package garmindev

